import hrp
import hstsetup
from hrp import *

ms = findPluginManager("motionsys")

ms.load("kfplugin")
kf = ms.create("kfplugin","kf","")

ms.load("seqplay")
seq = SequencePlayerHelper.narrow(ms.create("seqplay","seq",""))

ms.load("libgenom-openhrp")
ge = ms.create("libgenom-openhrp","genom-openhrp","")

ms.load("hstabilizer")
st = ms.create("hstabilizer","st","")

seq.start()
seq.goHalfSitting(2.0)
seq.waitInterpolation()
hstsetup.stsetup(st)

ge.start()
kf.start()
st.start()

waitInputConfirm("Robot started, press [OK]")
